#!/bin/sh

echo "Creating vars"
cd `echo $0 | sed -e 's/install.sh//'`
PWD=`pwd`
echo "Install dir is $PWD"
SEDHOME=`echo "$HOME" | sed -e 's/\\//\\\\\\//g'`
ZSHPATH=`echo "$PWD" | sed -e "s/$SEDHOME/~/"`
SCREENPATH=`echo "$PWD" | sed -e "s/$SEDHOME\///"`


echo "Creating ~/.zshenv : $ZSHPATH"
if [ -f ~/.zshenv ]; then
	rm ~/.zshenv
fi
echo " ZDOTDIR=$ZSHPATH" >> ~/.zshenv
echo " skip_global_compinit=1" >> ~/.zshenv
 
echo "Linking ~/.screenrc"
[ -L ~/.screenrc ] && rm ~/.screenrc
ln -s "$SCREENPATH/screenrc" ~/.screenrc

echo "Setting zsh as shell"
chsh --shell /bin/zsh